<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!--
 Copyright (c) 2000-2025 Ericsson Telecom AB

 All rights reserved. This program and the accompanying materials
 are made available under the terms of the Eclipse Public License v2.0
 which accompanies this distribution, and is available at
 https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
 -->
<project basedir="." default="build" name="org.eclipse.titan.regressiontests">

	<import file="build_import.xml" />

    <target name="init">
        <mkdir dir="bin"/>
        <copy includeemptydirs="false" todir="bin">
            <fileset dir="src">
                <exclude name="**/*.g"/>
                <exclude name="**/*.g4"/>
                <exclude name="**/*.java"/>
            </fileset>
        </copy>
        <copy includeemptydirs="false" todir="bin">
            <fileset dir=".">
                <include name="toc.xml"/>
                <include name="icons/*"/>
            </fileset>
        </copy>
    </target>

	<target depends="init" name="build">
		<echo message="${ant.project.name}: ${ant.file}"/>
		<javac debug="${javac.debug}" debuglevel="${javac.debuglevel}"
				encoding="${javac.encoding}"
				destdir="bin" includeantruntime="false" source="${source}" target="${target}" failonerror="true">
			<src path="src"/>
			<classpath refid="PDE.classpath"/>
			<classpath refid="common.classpath"/>
			<classpath refid="designer.classpath"/>
			<classpath refid="junit.classpath"/>
		</javac>
	</target>

	<target name="build.jars" depends="build">
		<copy file="fragment.xml" todir="bin" />
		<mkdir dir="${result.dir}/plugins"/>
		<update.manifest file="${build.dir}/${regressiontests.name}/META-INF/MANIFEST.MF"/>
		<jar destfile="${result.dir}/plugins/org.eclipse.titan.regressiontests_${version.qualifier}.jar" 
			 manifest="${build.dir}/${regressiontests.name}/META-INF/MANIFEST.MF">
			<fileset dir="bin" />
		</jar>
	</target>

    <target name="clean">
        <delete dir="bin"/>
    </target>
    <target depends="clean" name="cleanall"/>
</project>
